<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/js/bootstrap.bundle.min.js"></script>
    <title>Fleeca - {{title}}</title>
</head>
<body>
    <nav class="navbar navbar-expand-sm navbar-success bg-success">
        <div class="container-fluid">
          <a class="navbar-brand" style="color:white" href="javascript:void(0)">Fleeca</a>
          <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#mynavbar">
            <span class="navbar-toggler-icon"></span>
          </button>
          {% if request.user.is_authenticated %}
            <div class="collapse navbar-collapse" id="mynavbar">
              <ul class="navbar-nav me-auto">
                <li class="nav-item">
                  <a class="nav-link" style="color:white" href="/finance/type/">Types</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link"  style="color:white" href="/finance/home/">Wallets</a>
                </li>
              </ul>
              <ul class="navbar-nav">
                <li class="nav-item">
                  <a class="nav-link"  style="color:white" href="#">{{request.user.username}}</a>
                </li>
                <li class="nav-item">
                  <a class="nav-link" style="color:white" href="/finance/logout">Logout</a>
                </li>
              </ul>
            </div>
          {% endif %}
          
        </div>
      </nav>
      <div class="row mt-5">
        <div class="col-2">
          {% block left %}
          {% endblock %}
        </div>
        <div class="col-8">
          <div class="card">
            <div class="card-header">{{title}}</div>
            <div class="card-body">
              {% block content %}
              {% endblock %}
              {% if message_form %}
                <div class="alert alert-danger mt-3">
                  <strong>ERROR!</strong> {{message_form}}
                </div>
              {% endif %}
            </div>
          </div>
         
        </div>
        <div class="col-2">
          {% block right %}
          {% endblock %}
        </div>
      </div>
      
       
   
</body>
</html>